*{
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
}
body{
    overflow-x: hidden;
    background-image: url(images/home\ bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}
.logo {
    display: flex;
    position: relative;
    top: 2rem;
    gap: 20px;
    left: 10rem;
    align-items: center;
}
.logo img{
    
    width: 110px;
}
.logo h1{
    font-size: 2.5rem;
    color: #f8c017
}

.menu-toggle {
    display: block;
    position: relative;
    top: -2.2rem;
    left: 82rem;
    z-index: 1;
}
.menu-toggle input[type = "checkbox"]{
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    z-index: 2;
    opacity: 0;
}
.menu-toggle span{
    display: block;
    width: 33px;
    height: 4px;
    background-color: #f8c017;
    margin-bottom: 5px;
    position: relative;
    z-index: 1;
    transform-origin: 3px 2px;
    transition: transform 0.3s, background 0.5s cubic-bezier(0.77,0.2,0.05,1.0);

}
.menu-toggle input:checked ~ span{
    opacity: 1;
    transform: rotate(45deg);
    background-color: #131e3d;
}
.menu-toggle input:checked ~ span:nth-last-child(3){
    opacity: 0;
}
.menu-toggle input:checked ~ span:nth-last-child(2){
    transform: rotate(-45deg);
}

.menu-links {
    position: absolute;
    width: 300px;
    height: 1660px;
    background-color: #f5ead9ab;
    margin: -100px 0 0 -44px;
    padding: 125px 50px 50px 50px;
    list-style: none;
    transform: translate(100%, 0);
    transition: transform 0.5s ;
}
.menu-toggle input:checked ~ ul{
    transform: none;
}
.menu-links a{
    color: #293e53;
    transition: color 0.3s ease;
}
.menu-links a:hover{
    color: #f8c017;
    transform: scale(1.2);
}
.menu-links li{
    padding: 10px 0;
    font-size: 22px;
}

/* ----contact-box----- */

.contact-section{
    width: 1200px;
    margin: 0 auto;
}
.contact-title{
    text-align: center;
    font-size: 3rem;
    color: #f5ead9;
    position: relative;
    margin: 5rem 0;
}
.contact-title::after{
    content: '';
    width: 500px;
    height: 3px;
    background-color: #f5ead9;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: -10px;
}

.contact-info {
    display: flex;
    justify-content: space-around;
    align-items: center;
    color: white;
    animation: slideFormLeft 1s ease forwards;
    opacity: 0;
}

.contact-items {
    display: flex;
    width: 320px;
    padding-top: 70px;
    color: white;
    border: 3px solid #f8c017;
    border-radius: 30px;
    height: 320px;
    flex-direction: column;
    text-align: center;
    gap: 1rem;
}


@keyframes slideFormLeft {
    0%{
        opacity: 0;
        transform: translateX(-100%);
    }
    100%{
        opacity: 1;
        transform: translateX(0);
    }
}
.contact-items i{
    font-size: 60px;
    margin: 20px;
}
.contact-items p{
    font-size: 20px;
}

.contact-form {
    margin-top: 10rem;
    text-align: center;
}
.enquiry-section{
    display: flex;
    width: 80%;
    height: 590px;
    margin: 0px auto;
    border: 4px solid #f8c017;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
}



.enquiry-form {
    background-color: #0b1b3e;
    color: white;
    padding: 40px 30px;
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.enquiry-form h2 {
    font-size: 28px;
    margin-bottom: 30px;
}

.enquiry-form label{
    text-align: left;
    padding-left: 20px;
    font-size: 20px;
}

.enquiry-form input {
    margin-bottom: 20px;
    padding: 10px;
    text-align: left;
    border: 2px solid white;
    border-radius: 20px;
    background-color: transparent;
    color: white;
    font-size: 14px;
    outline: none;
}

.enquiry-form input::placeholder {
    color: white;
    text-transform: uppercase;
}

textarea {
    background-color: transparent;
    color: white;
    border: 2px solid #ffffff;
    padding: 10px;
    border-radius: 25px;
    resize: none;
    font-size: 14px;
}
.enquiry-form a {
    padding: 10px;
    border: none;
    background-color: white;
    color: #0b1b3e;
    font-weight: bold;
    cursor: pointer;
    margin-top: 20px;
    width: fit-content;
    padding: 10px 30px;
    text-decoration: none;
    transform: color 1.3s;
}
.enquiry-form a:hover{
    background-color: #f5ead900;
    border: 1px solid #f8c017;
    color: #f8c017;
}

.enquiry-image {
    width: 50%;
}

.enquiry-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* ------footer------ */
.footer-content{
    background-color: #f5ead9;
    padding: auto;
    margin-top: 5rem;

}
.footer-section {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    /* gap: 16px; */
    padding: 20px;
}
.footer-copyleft{
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.footer-copyleft img{
    width: 100px;
}
.footer-content h2{
    color: #f8c017;
}
 
.footer-copyright{
    color: #293e53;
    font-size: 20px;    
    
}
/* -------RESPONSIVE------ */
@media (max-width: 768px) {
    .menu-toggle{
        
        left: 40rem;
    }
    .menu-links{
        height: 2260px;
    }
    .logo{
        left: 5rem;
    }
    .contact-section{
        width: 768px;
            margin: 0 auto;
    }
    .contact-info{
        flex-direction: column;
        gap: 3.2rem;
    }
}